Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.basic
Class XMLBeanTypeInfo

    java.lang.Object
      org.codehaus.xfire.aegis.type.basic.BeanTypeInfo
          org.codehaus.xfire.aegis.type.basic.XMLBeanTypeInfo

    public class XMLBeanTypeInfo

extends BeanTypeInfo

Constructor Summary
`XMLBeanTypeInfo(java.lang.Class typeClass, org.codehaus.yom.Element mapping)`

Method Summary
`protected javax.xml.namespace.QName` | `createQName(org.codehaus.yom.Element e, java.lang.String value)`
`javax.xml.namespace.QName` | `getSchemaType()`
`boolean` | `isNillable(java.lang.String name)`
`protected void` | `mapProperty(java.beans.PropertyDescriptor pd)`

Methods inherited from class org.codehaus.xfire.aegis.type.basic.BeanTypeInfo
`createMappedName, getAttributes, getElements, getPropertyDescriptor, getPropertyDescriptorFromMappedName, getPropertyDescriptors, getType, getTypeClass, getTypeMapping, initialize, isAttribute, isElement, isInitialized, isSerializable, mapAttribute, mapElement, mapType, mapTypeName, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLBeanTypeInfo

    public XMLBeanTypeInfo(java.lang.Class typeClass,
                           org.codehaus.yom.Element mapping)

Method Detail

### getSchemaType

    public javax.xml.namespace.QName getSchemaType()

### mapProperty

    protected void mapProperty(java.beans.PropertyDescriptor pd)

  Overrides:
    `mapProperty` in class `BeanTypeInfo`

### createQName

    protected javax.xml.namespace.QName createQName(org.codehaus.yom.Element e,
                                                    java.lang.String value)

### isNillable

    public boolean isNillable(java.lang.String name)

  Overrides:
    `isNillable` in class `BeanTypeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.